/*********************************************************/
//	NkILSampleImgInfoPage.h
//		Header file of PropertyPage class for File/Image Info.
//
//	Copyright(c) 2007, Nikon Corporation - All rights reserved.
/*********************************************************/
#pragma once

#include "resource.h"
#include "NkILSampleDoc.h"

class CNkILSampleImgInfoPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CNkILSampleImgInfoPage)

public:
	CNkILSampleImgInfoPage(CWnd* pParent = NULL);   
	virtual ~CNkILSampleImgInfoPage();

// dialog data
	enum { IDD = IDD_PROPPAGE_IMAGEINFO };

	void	SetInfomation( unsigned long ulFormat, NkIL_ImageInfo StrImageInfo, NkIL_ImageInfo StrOrgImageInfo );

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

	CString			m_strFormat;
	CString			m_strSize;
	CString			m_strByte;
	CString			m_strColor;
	CString			m_strOrientation;
	CString			m_strOrgSize;
	CString			m_strOrgByte;
	CString			m_strOrgColor;
	CString			m_strOrgOrientation;
};
